Subject: bug#36878: guix system reconfigure broken

From: [email-masked] (Jakob L. Kreuze)
Date: Wed, 31 Jul 2019 14:16:43 -0400

Hi Robert,

Robert Vollmert <[email-masked]> writes:

> The concrete problem is this:
>
> 1. nginx is running with config file A
> 2. make some change to nginx config
> 3. run guix system reconfigure (which builds a new nginx config file B)
> 4. run herd restart nginx
> 5. nginx is still running with config file A
>
> After reverting this commit, if I perform these steps, I end up with
> nginx running with config file B in 5.

Okay, I see now. Thank you clarifying. Would you be willing to see if
the patch provided by #36880 fixes this issue?

> I still get a bootloader line.

Great -- thanks for checking that for me!

Regards,
Jakob